Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUTableBinding.JUTableModel

`java.lang.Object
javax.swing.table.AbstractTableModel
oracle.jbo.uicli.jui.JUTableBinding.JUTableModel`

All Implemented Interfaces:
  javax.swing.event.ChangeListener, java.util.EventListener, javax.swing.event.ListSelectionListener, java.io.Serializable, javax.swing.table.TableModel

Enclosing class:
  JUTableBinding

protected class JUTableBinding.JUTableModel
extends javax.swing.table.AbstractTableModel
implements javax.swing.event.ListSelectionListener, javax.swing.event.ChangeListener

This TableModel is used by JUTableBinding to perform updates of the JTable control to which it is bound. This class is responsible for:

- Updating the displayed data in JTable.
- Accepting edits from the JTable and passing it to the appropriate Row in the BC4J layer.
- Managing the scrollbar associated with the associated JTable's display.
- Passing the class of the data in each column thats displayed to the JTable so that it can use an appropriate display renderer or cell editor.
- Editability of cells based on whether the current attribute in the current row is editable or not.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Method Summary
`java.lang.Class` | `getColumnClass(int attrIndex)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int attrIndex)`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int rowIndex, int attrIndex)`
`boolean` | `isCellEditable(int rowIndex, int attrIndex)`
`protected void` | `resetRSICurrency(int selectTabRowIndex)`
`void` | `setValueAt(java.lang.Object value, int rowIndex, int attrIndex)`
`void` | `stateChanged(javax.swing.event.ChangeEvent event)`
`void` | `valueChanged(javax.swing.event.ListSelectionEvent event)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getColumnName

    public java.lang.String getColumnName(int attrIndex)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`

### getColumnClass

    public java.lang.Class getColumnClass(int attrIndex)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `javax.swing.table.TableModel`

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `javax.swing.table.TableModel`

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int attrIndex)

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int attrIndex)

  Specified by:
    `getValueAt` in interface `javax.swing.table.TableModel`

### setValueAt

    public void setValueAt(java.lang.Object value,
                           int rowIndex,
                           int attrIndex)

  Specified by:
    `setValueAt` in interface `javax.swing.table.TableModel`

### valueChanged

    public void valueChanged(javax.swing.event.ListSelectionEvent event)

  Specified by:
    `valueChanged` in interface `javax.swing.event.ListSelectionListener`

### resetRSICurrency

    protected void resetRSICurrency(int selectTabRowIndex)

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent event)

  Specified by:
    `stateChanged` in interface `javax.swing.event.ChangeListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.